## org.eclipse.jst.jsf.designtime.context
Interface IExternalContextFactoryLocator

All Known Implementing Classes:
  AbstractExternalContextFactoryLocator

    public interface IExternalContextFactoryLocator

This interface is used to decouple the faces context from the DesignTimeApplicationManager Client must NOT implement or subclass. Extend AbstractExternalContextFactoryLocator instead

Method Summary
`AbstractDTExternalContextFactory` `getFactory()`

Method Detail

### getFactory

    AbstractDTExternalContextFactory getFactory()

  Returns:
    the current external context factory